> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v2-deprecated/endpoints/offers.md).

# Offers

## Get offers

<mark style="color:blue;">`GET`</mark> `https://api.sparkloop.app/v2/offers`

Offers are ordered descendingly by *created\_at*, meaning the first page shows the latest offer.

{% tabs %}
{% tab title="200 Used query params ?page=1\&per\_page=2" %}

```json
{
   "offers": [
      <Offer Object>,
      <Offer Object>
  ],
  "meta": {
    "per_page": 2,
    "page": 1,
    "total_pages": 12,
    "total_offers": 24
  }
}
```

{% endtab %}
{% endtabs %}

## Get an offer

<mark style="color:blue;">`GET`</mark> `https://api.sparkloop.app/v2/offers/:identifier`

Returns a single offer by UUID

#### Path Parameters

| Name                                         | Type   | Description  |
| -------------------------------------------- | ------ | ------------ |
| identifier<mark style="color:red;">\*</mark> | string | Offer's UUID |

{% tabs %}
{% tab title="200 " %}

```json
{
     "offer": <Offer Object>,
}
```

{% endtab %}

{% tab title="404 " %}
{% tabs %}
{% tab title="Offer not found" %}

```
{
    "error": "Offer offer_4bc10562d97 not found."
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}
